FreeMat

- Main Page
- Related Pages

vtkRungeKutta2

Section: Visualization Toolkit Common Classes

# Usage

This is a concrete sub-class of vtkInitialValueProblemSolver. It uses a 2nd order Runge-Kutta method to obtain the values of a set of functions at the next time step.

To create an instance of class vtkRungeKutta2, simply invoke its constructor as follows

      obj = vtkRungeKutta2

# Methods

The class vtkRungeKutta2 has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRungeKutta2 class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRungeKutta2 = obj.NewInstance ()`
- `vtkRungeKutta2 = obj.SafeDownCast (vtkObject o)`